This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1295836 - (CVE-2015-8747, CVE-2015-8748) CVE-2015-8747 CVE-2015-8748 radicale: Multiple security issues fixed in 1.1
CVE-2015-8747 CVE-2015-8748 radicale: Multiple security issues fixed in 1.1
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20151231,repo...
: Security
Depends On: 1295837
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-05 10:19 EST by Adam Mariš
Modified: 2016-01-19 18:56 EST (History)
3 users (show)

See Also:
Fixed In Version: radicale 1.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-01-05 10:19:27 EST
Multiple security fixes related mmostly to improved input sanitization appeared in release of radicale 1.1:

* Improve the regex used for well-known URIs
* Prevent regex injection in rights management
* Prevent crafted HTTP request from calling arbitrary functions
* Improve URI sanitation and conversion to filesystem path
* Decouple the daemon from its parent environment

Upstream patches:

https://github.com/Kozea/Radicale/pull/343/commits

CVE request:

http://seclists.org/oss-sec/2016/q1/22
Comment 1 Adam Mariš 2016-01-05 10:19:50 EST
Created radicale tracking bugs for this issue:

Affects: fedora-all [bug 1295837]
Comment 2 Adam Mariš 2016-01-06 08:06:03 EST
Issues stated in changelog can be overlapping, MITRE grouped these issues into two and assigned CVEs:


CVE-2015-8747 - The multifilesystem backend allows access to arbitrary files on all platforms.

CVE-2015-8748 - Prevent regex injection in rights management
Comment 3 Fedora Update System 2016-01-19 18:29:06 EST
radicale-1.1.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2016-01-19 18:56:25 EST
radicale-1.1.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.